Energia

## abs(x)

#### Description

Computes the absolute value of a number.

#### Parameters

x: the number

#### Returns

x: if x is greater than or equal to 0.

-x: if x is less than 0.

#### Warning

Because of the way the abs() function is implemented, avoid using other functions inside the brackets, it may lead to incorrect results.

    abs(a++);   // avoid this - yields incorrect results

    a++;          // use this instead -
    abs(a);       // keep other math outside the function

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on the Arduino reference. Code samples in the reference are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes